package com.xunhong.erp.turbo.infra.domain.gateway;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.xunhong.erp.turbo.api.infra.dto.cmd.PlatformCreateCmd;
import com.xunhong.erp.turbo.api.infra.dto.cmd.PlatformDestroyCmd;
import com.xunhong.erp.turbo.api.infra.dto.cmd.PlatformUpdateCmd;
import com.xunhong.erp.turbo.api.infra.dto.qry.PlatformListQry;
import com.xunhong.erp.turbo.api.infra.dto.qry.PlatformPageQry;
import com.xunhong.erp.turbo.api.infra.dto.qry.PlatformShowQry;
import com.xunhong.erp.turbo.infra.domain.entity.Platform;

import java.util.List;

/**
 * @author shenyifei
 */
public interface PlatformGateway {
	Platform save(PlatformCreateCmd platformCreateCmd);

	IPage<Platform> page(PlatformPageQry platformPageQry);

	List<Platform> list(PlatformListQry platformListQry);

	Platform update(PlatformUpdateCmd platformUpdateCmd);

	Platform show(PlatformShowQry platformShowQry);

	void destroy(PlatformDestroyCmd platformDestroyCmd);
}
